2008-10-16  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (pscan, flawfinder, rats, splint): Fixed to work when
	builddir != srcdir.

2008-10-16  Dalibor Topic  <robilad@kaffe.org>

	* m4/ax_cflags_gcc_option.m4, m4/ax_cflags_warn_all.m4: 
	Added new files from autoconf-archive.
	* Makefile.am (AM_CFLAGS): Removed.
	* configure.ac (AX_CFLAGS_WARN_ALL, AX_CFLAGS_GCC_OPTION) Added.
	(fastjar_warn_cflags) Removed.

2008-10-16  Dalibor Topic  <robilad@kaffe.org>

	* jargrep.c, shift.c: Add guards for inclusion of unistd.h.
	shift.c: Include config.h.

2008-10-12  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (AM_CPPFLAGS): Added generated headers from
	gnulib. Fix for fastjar bug #20061.

2008-10-12  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (exit_on_error): New function.
	(main, get_next_arg, looks_like_dir, make_manifest,
	add_to_jar_with_dir, add_to_jar, add_file_to_jar, 
	create_central_header, extract_jar, list_jar, consume,
	add_array_to_jar, get_index_entry) Use exit_on_error,
	and handle ftrucate and write error conditions.

2008-09-17  Dalibor Topic  <robilad@kaffe.org>

	* jargrep.c (check_crc, check_sig): Use C99's uint32_t instead of ub4.

2008-09-17  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (extract_jar): Use C99's uint32_t instead of ub4.
 
2008-09-17  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (make_manifest): Initialize mod_time before use.

2008-09-17  Xerxes Rånby  <xerxes@zafena.se>

        * jartool.c (extract_jar): Corrected size passed to realloc
        to prevent memory overwrite. Reported as Debian bug #499015.
        Fixed memory leak.

2008-09-15  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (make_manifest): Only create META-INF dir when a new 
	manifest is created, not on updates. Reported as Debian bug #489418.

2008-09-14  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac, fastjar.texi, README, NEWS: Bumped version up to 0.97.

2008-09-14  Dalibor Topic  <robilad@kaffe.org>

	* lib/snprintf.h, lib/string.h: Removed unused files.

2008-09-14  Dalibor Topic  <robilad@kaffe.org>

	* lib/alloca_.h, lib/getopt_.h, lib/stdbool_.h, lib/stdint_.h,
	lib/stdio_.h, lib/string_.h, lib/unistd_.h, lib/wchar_.h,
	lib/wctype_.h: Removed no longer used files.

2008-09-14  Dalibor Topic  <robilad@kaffe.org>

	* lib/wctype.in.h, lib/wchar.in.h, lib/unistd.in.h, lib/string.in.h, 
	lib/stdlib.in.h, lib/stdio.in.h, lib/stdint.in.h, lib/stdbool.in.h, 
	lib/getopt.in.h, lib/float.in.h,  lib/float+.h, lib/alloca.in.h:
	Added missing files.

2008-09-14  Dalibor Topic  <robilad@kaffe.org>

	* lib/.cvsignore : Removed.

2008-09-14  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (LDADD): Fixed build on cygwin.

2008-08-14  Dalibor Topic  <robilad@kaffe.org>

	* NEWS: Updated for Joshua Sumali's fix.

2008-08-14  Joshua Sumali <jsumali@redhat.com>

	* jartool.c: Made it more compatible with OpenJDK.

	Originally, files underneath a directory were not extracted, so full path names 
	had to be specified. Also directory names had to be specified as 'dirname/' to 
	be extracted, which should be just 'dirname'. Fixed this behaviour.

2008-08-06  Dalibor Topic  <robilad@kaffe.org>

	* README: Updated the options and features list.

2008-08-06  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (AC_INIT), fastjar.texi, README, NEWS: 
	Bumped version to 0.96. Autoupdated.

	* fastjar.texi: Added 2008 to copyright years.

	* .cvsignore, INSTALL, aclocal.m4, config.guess, config.h.in,
	config.sub, configure, depcomp, install-sh, ltmain.sh, 
	texinfo.tex, lib/.cvsignore, lib/Makefile.am, lib/Makefile.in,
	lib/alloca.c, lib/asnprintf.c, lib/config.charset, lib/getopt.c,
	lib/getopt1.c, lib/getopt_int.h, lib/gettext.h, 
	lib/localcharset.c, lib/localcharset.h, lib/malloc.c, 
	lib/printf-args.c, lib/printf-args.h, lib/printf-parse.c,
	lib/printf-parse.h, lib/ref-add.sin, lib/ref-del.sin, 
	lib/regcomp.c, lib/regex.c, lib/regex.h, lib/regex_internal.c,
	lib/regex_internal.h, lib/regexec.c, lib/size_max.h,
	lib/snprintf.c, lib/strdup.c, lib/vasnprintf.c,
	lib/vasnprintf.h, lib/xsize.h, m4/.cvsignore,
	m4/alloca.m4, m4/extensions.m4, m4/getopt.m4,
	m4/gnulib-cache.m4, m4/gnulib-common.m4,
	m4/gnulib-comp.m4, m4/gnulib-tool.m4, m4/intmax_t.m4,
	m4/libtool.m4, m4/longlong.m4, m4/ltoptions.m4,
	m4/ltsugar.m4, m4/ltversion.m4, m4/lt~obsolete.m4,
	m4/regex.m4, m4/snprintf.m4, m4/stdint.m4,
	m4/stdio_h.m4, m4/string_h.m4, m4/unistd_h.m4
	m4/vasnprintf.m4, m4/wchar.m4, m4/wctype.m4,
	m4/wint_t.m4: Regenerated.

2008-08-06  Matthias Klose  <doko@ubuntu.com>

	Implemented @file support.

	* Makefile.am (libfastjar_convenience_la_SOURCES):
	Added argv.c and argv.h.

	* Makefile.in: Regenerated.

	* jartool.c (OPTION_STRING) Added -J option.
	(main) Expand @file arguments in the argument list 
	before processing the list. Ignore -J option.
	(help) Documented -J and @file options.

	* fastjar.texi: Documented -J and @file options.

	* argv.c, argv.h: New files.

2007-03-31  Dalibor Topic  <robilad@kaffe.org>

	* NEWS: Added news since 0.95.

2007-03-31  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.in,
	config.h.in
	configure
	lib/Makefile.am
	lib/Makefile.in
	lib/alloca_.h
	lib/getopt_.h
	lib/printf-parse.c
	lib/regexec.c
	lib/snprintf.c
	lib/stdbool_.h
	lib/stdint_.h
	lib/stdio_.h
	lib/string.h
	lib/string_.h
	lib/vasnprintf.c
	lib/vasnprintf.h
	m4/gnulib-comp.m4
	m4/snprintf.m4
	m4/stdio_h.m4
	m4/vasnprintf.m4:
	Updated and regenerated.

2007-03-18  Dalibor Topic  <robilad@kaffe.org>

	* jargrep.c, jartool.c: Don't include snprintf.h any more.

	* lib/Makefile.am,
        lib/Makefile.in,
        lib/snprintf.c,
        lib/string.h,
        lib/string_.h,
        lib/unistd_.h,
        lib/vasnprintf.c,
        m4/gnulib-comp.m4,
        m4/regex.m4,
        m4/snprintf.m4,
        m4/string_h.m4,
        m4/unistd_h.m4:
	Updated.

	* aclocal.m4,
	config.h.in,
	configure,
	Makefile.in: Regenerated.

2007-02-28  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (EXTRA_DIST): Added CHANGES. Reformatted.

	Reported by:  Petteri Räty  <betelgeuse@gentoo.org>

2007-02-28  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (extract_jar): Exit if write call fails.
	Added casts.
	(list_jar) Added casts.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (list_jar): Cast usize to unsigned long before
	printing it. Changed its format modifier accordingly.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (list_jar): Added local read_amt variable.
	Use read_amt to check if the read calls returned an error
	or didn't read the desired number of bytes. Exit if 
	filename allocation fails. Added missing cast to ub1.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (list_jar): Changed filename_len to ub2.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (extract_jar): Changed filename_len to ub2.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (list_jar): Exit if strftime call fails.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (list_jar): Changed i to ub2.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* TODO: Updated.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (list_jar): Introduced local variable 
	central_header_offset.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (consume): Allocate buff dynamically,
	rather than on the stack.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (consume): Documented function.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (consume): Use tc to report consumed bytes 
	in all cases.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (extract_jar): Use consume instead of pb_read
	to consume unneeded bytes.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (consume): Changed to return void.
	Removed unused return statement.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* compress.c (inflate_file): Removed code handling
	negative return value from pb_read, since it is always
	non-negative.

2007-02-18  Dalibor Topic  <robilad@kaffe.org>

	* pushback.h (pb_read): Added documentation.
	* pushback.c: Added myself to authors.

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	* pushback.c (pb_read): Exit if read fails.

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (consume): Exit if lseek fails.

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (consume): Changed amt and tc to size_t.

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (list_jar): Changed rdamt to size_t.
	(expand_options) Changed new_argc, args_to_expand to size_t.
	Added corresponding cast.

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (add_array_to_jar): Exit if write fails.

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (get_next_arg): Changed len and pos to size_t.

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (SPLINT_FLAGS): Include headers in lib directory.
	* Makefile.in: Regenerated.

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	* jargrep.c (main): Use strdup instead of strcpy.
	* jartool.c (make_manifest, add_to_jar, add_file_to_jar,
	add_array_to_jar): Use strdup and strncpy instead of strcpy.

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	* lib/Makefile.am, lib/strdup.c, lib/string_.h
	m4/gnulib-cache.m4, m4/gnulib-comp.m4, m4/strdup.m4
	m4/string_h.m4: Imported strdup module from gnulib.

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (jt_strdup): Removed.
	(get_next_arg, expand_options) Use strdup.

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	*  lib/dummy.c, lib/strcasecmp.c, lib/string_.h, lib/strncasecmp.c,
	m4/strcase.m4, m4/string_h.m4: Removed.

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.in, aclocal.m4, config.h.in, configure,
	lib/Makefile.am, lib/Makefile.in, lib/asnprintf.c,
	lib/config.charset, lib/localcharset.c, lib/localcharset.h,
	lib/printf-args.c. lib/printf-args.h, lib/printf-parse.c,
	lib/printf-parse.h, lib/ref-add.sin, lib/ref-del.sin,
	lib/regcomp.c, lib/regex_internal.h, lib/size_max.h,
	lib/snprintf.c, lib/snprintf.h, lib/string.h,
	lib/vasnprintf.c, lib/vasnprintf.h, lib/xsize.h,
	m4/eoverflow.m4, m4/glibc21.m4, m4/gnulib-cache.m4,
	m4/gnulib-comp.m4, m4/intmax_t.m4, m4/inttypes_h.m4,
	m4/localcharset.m4, m4/longdouble.m4, m4/regex.m4,
	m4/size_max.m4, m4/snprintf.m4, m4/stdint_h.m4,
	m4/vasnprintf.m4, m4/wchar_t.m4, m4/xsize.m4: 
	Import snprintf module from gnulib.

	* jargrep.c, jartool.c: Include "snprintf.h".

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	* jargrep.c (extract_line): Use snprintf.
	* jartool.c (make_manifest, build_index): Use snprintf.

2007-02-15  Dalibor Topic  <robilad@kaffe.org>

	* compress.c (write_data): Return ssize_t.
	(init_compression) Init zs.zalloc and zs.zfree with NULL.
	(compress_file) Changed rdamt, wramt to size_t. Changed 
	rtval to ssize_t. Added local variable num_written.
	Added missing casts. Added checks if num_written is -1.
	(init_inflation) Init zs.zalloc and zs.zfree with NULL.
	(inflate_file) Changed rdamt to size_t. Added local
	variable num_pushed. Added missing casts. Use new local
	vars num_written and num_to_write. Added checks if 
	num_written is -1. Exit if pushback fails.
	(ez_inflate_str) Changed rdamt to size_t. Added missing 
	casts. Changed fprintf format string to use unsigned longs, 
	and added casts for parameters.
	(hrd_inflate_str) Changed rdamt and i to size_t.
	Added local variable num_pushed. Added missing casts.

2007-02-14  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (fastjar_SOURCES): Moved jartool.h ...
	(libfastjar_convenience_la_SOURCES) ... to here.

2007-02-14  Dalibor Topic  <robilad@kaffe.org>

	* dostime.c (dos2unixtime): Added casts to int.
	(unix2dostime) Added casts to ub4.
	* dostime.h (dos2unixtime, unix2dostime): Changed
	prototypes to use ub4 instead of unsigned long.

2007-02-14  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (extract_jar): Changed rdamt to size_t.
	* pushback.c (pb_push): Changed in_amt, wrap to size_t.
	Added a size_t cast, and removed an int cast. 
	(pb_read) Changed out_amt, wrap, tmp to size_t.
	Added a size_t cast, and removed an int cast.
	Added new variable num_read.
	* pushback.h (pb_push, pb_read): Changed prototypes
	to use size_t.

2007-02-14  Dalibor Topic  <robilad@kaffe.org>

	* shift.c (shift_down): Changed off to off_t.

2007-02-14  Dalibor Topic  <robilad@kaffe.org>

	* shift.c (shift_up, shift_down): Changed len to size_t.
	Use new variable num_read to count read bytes.

2007-02-14  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac, README, NEWS: Bump version number to 0.96-pre.
	* Makefile.am (splint): Use libfastjar_convenience_la_SOURCES.
        * configure, Makefile.in: Regenerated.

2007-02-13  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac, README, NEWS: Bump version number to 0.95.
	* configure: Regenerated.

2007-02-13  Matthias Klose  <doko@ubuntu.com>

	* Makefile.am: Build the fastjar library as a convenience library.
	* Makefile.in: Regenerate.

2007-02-12  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (get_next_arg, add_to_jar_with_dir): Use
	EXIT_FAILURE.

2007-02-12  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (EXTRA_DIST): Removed fastjar.texi.
	* Makefile.in: Regenerated.

2007-02-12  Alfred M. Szmidt  <ams@gnu.org>

	* jartool.c (MAXPATHLEN) [!MAXPATHLEN]: Removed macro.
	(get_next_arg): Allocate memory dynamiclly for S.
	(add_to_jar_with_dir): Allocate memory dynamiclly for OLD_DIR.

2007-02-12  Matthias Klose  <doko@ubuntu.com>

	* fastjar.texi: Set version to 0.95.

2007-02-12  Matthias Klose  <doko@ubuntu.com>

	* fdl.texi, COPYING.DOC: Remove, all documentation is licensed
	under the GPL.
	* fastjar.texi: Don't include fdl.texi.
	* AUTHORS: Add myself as documentation author.

2007-02-09  Dalibor Topic  <robilad@kaffe.org>

	* TODO: Updated.

2007-02-09  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (pscan, flawfinder, rats, splint): Added new targets
	which invoke source code scanners.

	* configure.ac (AC_CHECK_PATH): Check for pscan, flawfinder, rats and
	splint.

	* Makefile.in, lib/Makefile.in, configure: Regenerated.

2007-02-08  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (AC_MSG_ERROR): Stop configure if neither ftruncate 
	or _chsize exists.

	* configure: Regenerated.

	* jartool.c (main): Simplified ftruncate and _chsize handling by moving 
	the check into the configure script.

2007-02-08  Dalibor Topic  <robilad@kaffe.org>

	* pushback.h: Include jartool.h to declare the types used in struct
	definition.

2007-02-08  Dalibor Topic  <robilad@kaffe.org>

	* compress.h: Include zlib.h, jartool.h and pushback.h to declare the
	types used in parameters.

2007-02-08  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (add_file_to_jar, add_array_to_jar): Made file_name_length
	into a size_t.

2007-02-08  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (make_manifest): Turned mf_len into a size_t.

2007-02-08  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (make_manifest, add_to_jar): Turned nlen into a size_t.

2007-02-08  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (add_array_to_jar): Check if writing succeeded before
	checking if the number of written bytes matches. New local variable
	written.

2007-02-08  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (add_array_to_jar): Turn content_length into a size_t.

2007-02-08  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (build_index): Turn index_content_length into a
	size_t.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* jargrep.c (help, version): Made static.

	* jartool.c (add_array_to_jar, add_entry,
	add_file_to_jar, add_list_entry, add_to_jar
	add_to_jar_with_dir, build_index, consume
	create_central_header, extract_jar,
	get_index_entry, help, init_headers,
	list_jar, make_manifest, read_entries, usage
	version): Made static.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (data_descriptor, do_compress, file_header,
	jarfile, number_of_entries, read_names_from_stdin, seekable,
	use_explicit_list_only, verbose, ziplist, ziplisthead, 
	ziplisttail, ziptail): Made static.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* compress.c (write_data): Made static.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (AC_PROG_STDC_CC): Use C99 if possible.

	* configure: Regenerated.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (POD2MAN): Use VERSION variable.

	* Makefile.in: Regenerated.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* install-defs.sh.in: Removed.

	* configure.ac (AC_CONFIG_FILES): Removed install-defs.sh.

	* Makefile.in, configure: Regenerated.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (ZINCS, ZDEPS): Removed redundant variables.

	* Makefile.am (DEPENDENCIES): Removed. 
	(AM_CPPFLAGS) Removed redundant ZINCS variable.

	* Makefile.in, configure, lib/Makefile.in: Regenerated.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (AC_ARG_ENABLE): Removed redundant option.

	* configure: Regenerated.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (AC_ARG_WITH): Removed redundant option.

	* configure: Regenerated.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (AC_STRUCT_TM): Removed redundant check.

	* configure: Regenerated.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (AC_PATH_PROG): Don't look for cp, strip 
	and chmod.

	* Makefile.in, configure, lib/Makefile.in: Regenerated.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (AC_PATH_PROG): Don't look for rm.

	* Makefile.in, configure, lib/Makefile.in: Regenerated.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* TODO: Removed Sun CC task.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	PR 18986

	* lib/stdbool_.h, m4/stdbool.m4: New files from
	gnulib to support stdbool.h on platforms without it.

	* Makefile.in, aclocal.m4, config.h.in, configure,
	lib/Makefile.am, lib/Makefile.in, m4/gnulib-cache.m4,
	m4/gnulib-comp.m4: Regenerated.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* TODO: Removed gnulib items.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	PR 18972

	* lib/getopt.c, lib/getopt1.c, lib/getopt_.h,
	lib/getopt_int.h, lib/unistd_.h, m4/getopt.m4,
	m4/unistd_h.m4: New files from gnulib to support 
	platforms without a GNU getopt implementation. 

	* jargrep.c: Moved inclusion of getopt.h before 
	inclusion of regex.h.

	* jartool.c: Include regex.h, as recommended by 
	gnulib-tool for the gnulib getopt functionality.

	* Makefile.in, aclocal.m4, config.h.in, configure,
	lib/Makefile.am, lib/Makefile.in, m4/gnulib-cache.m4,
	m4/gnulib-comp.m4: Regenerated.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* README: Added a 'platforms' section, and documented
	flags for the MingW32 build on Cygwin.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* NEWS : Added merging status information for 
	Bryan's 0.94 release on SourceForge. Updated version number
	to 0.95-pre.

	* README, configure.ac: Updated version number to 0.95-pre.

	* configure: Regenerated.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	PR 18973

	* Makefile.am (SUBDIRS, ACLOCAL_AMFLAGS): Added to support
	using gnulib's functionality.
	(AM_CPPFLAGS) Added lib directory for regex.h.
	(LDADD) Added libgnu.la.

	* configure.ac (gl_EARLY, gl_INIT): Added suppor for gnulib. 
	(AC_CONFIG_FILES) Added lib/Makefile.

	* Makefile.in, aclocal.m4, config.h.in, configure:
	Regenerated.

	* lib/Makefile.am, lib/Makefile.in, 
	lib/alloca.c, lib/alloca_.h, lib/dummy.c, 
	lib/gettext.h, lib/malloc.c, lib/regcomp.c,
	lib/regex.c, lib/regex.h, 
	lib/regex_internal.c, lib/regex_internal.h,
	lib/regexec.c, lib/stdint_.h,
	lib/strcasecmp.c, lib/string_.h,
	lib/strncasecmp.c, lib/wchar_.h, lib/wctype_.h,
	m4/absolute-header.m4, m4/alloca.m4, m4/codeset.m4,
	m4/extensions.m4, m4/gnulib-cache.m4, 
	m4/gnulib-common.m4, m4/gnulib-comp.m4,
	m4/gnulib-tool.m4, m4/longlong.m4, m4/regex.m4,
	m4/ssize_t.m4, m4/stdint.m4, m4/strcase.m4,
	m4/string_h.m4, m4/ulonglong.m4, m4/wchar.m4,
	m4/wctype.m4, m4/wint_t.m4: New files from gnulib
	to support regex on platforms without a GNU regex
	implementation. 

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* TODO: Removed libfastjar item.

	* NEWS: Added libfastjar information.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (AM_LDFLAGS, LDADD, DEPENDECIES, 
	libfastjar_la_LIBADD, libfastjar_la_LIBADD): Added
	to support building with a shared library with no
	undefined symbols.
	(fastjar_LDADD, fastjar_DEPENDENCIES, grepjar_LDADD,
	grepjar_DEPENDENCIES) Removed, replaced by LDADD and
	DEPENDENCIES.

	* Makefile.in: Regenerated.

2007-02-07  Dalibor Topic  <robilad@kaffe.org>

	* autogen.sh: Removed -Wall since libtool & automake
	macros are not up to date with autoconf 2.61 and create
	too much warning noise.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (AM_CFLAGS): Shuffled upwards in the file.
	(fastjar_SOURCES, grepjar_SOURCES) Removed dostime.c, 
	compress.c, pushback.c, shift.c, jartool.h, zipfile.h, 
	dostime.h, compress.h, pushback.h and shift.h.
	(fastjar_LDADD, grepjar_LDADD) Added libfastjar.la.
	(lib_LTLIBRARIES, libfastjar_la_SOURCES) New primitives.
	(libtool) New target.

	* configure.ac (AC_DISABLE_STATIC, AC_LIBTOOL_WIN32_DLL,
	AC_PROG_LIBTOOL, AC_SUBST(LIBTOOL_DEPS)): Added support
	for native libraries for libfastjar.

	* Makefile.in, aclocal.m4, config.h.in, configure:
	Regenerated.

	* config.guess, config.sub, ltmain.sh: New files,
	generated by autogen.sh.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

	* TODO: New file.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

	* compress.c (init_compression, write_data, 
	compress_file, end_compression, init_inflation,
	inflate_file, report_str_error, ez_inflate_str,
	hrd_inflate_str): Use EXIT_FAILURE.

	* jargrep.c (create_regexp, read_string, 
	extract_line, check_crc, fnd_match, main,
	version): Use EXIT_FAILURE and EXIT_SUCCESS.

	* jartool.c (main, make_manifest, add_to_jar,
	add_file_to_jar, extract_jar, list_jar, 
	consume, version, help, add_array_to_jar, 
	get_index_entry): Use EXIT_FAILURE and EXIT_SUCCESS.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

	* dostime.c: Updated copyright information.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

	* compress.c, dostime.c, jargrep.c, jartool.c
	(HAVE_CONFIG_H): Added guards for include.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

	* shift.c, jartool.h, jargrep.c, compress.c:
	Updated copyright information.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

	* compress.h: Updated copyright information.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

        * zipfile.h:
        Added #ifndef __FASTJAR_ZIPFILE_H__.
	Updated copyright information.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

        * pushback.h:
        Added #ifndef __FASTJAR_PUSHBACK_H__.
	Updated copyright information.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

        * jargrep.h:
        Added #ifndef __FASTJAR_JARGREP_H__.
	Updated copyright information.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

        * dostime.h:
        Added #ifndef __FASTJAR_DOSTIME_H__.
	Updated copyright information.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

        * compress.h:
        Added #ifndef __FASTJAR_COMPRESS_H__.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

	* dostime.c (unix2dostime): Renamed parameter to
	unix_time.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (list_jar, extract_jar, init_args, 
	get_next_arg): Added const qualifier to char ** 
	parameter and return types.
	(main) Added const qualifier to type of new_argv.
	Modified malloc cast accordingly. Fixed cast of
	const char * to char *.
	(args_g) Added const qualifier to type.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (main): Replaced unreachable exit call
	after version call with a break statement.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

	* compress.c (init_compression, end_compression,
	init_inflation): Added missing 'void' parameter type.

	* jargrep.c (version): Added missing 'void' parameter
	type.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

	* jartool.h (__attribute__): Remove define.

2007-02-06  Dalibor Topic  <robilad@kaffe.org>

	* Makefile.am (fastjar_CPPFLAGS): Removed.
	(grepjar_SOURCES) Added shift.c and shift.h.

	* compress.c (seekable, end_of_entries): Removed.
	(write_data) Removed __attribute__((unused)).
	Removed WITH_SHIFT_DOWN.

	* configure.ac (AM_PROG_CC_C_O): Removed.

	* jartool.c (end_of_entries): Moved field to ...

	* shift.c (end_of_entries): ... here. New field.
	(shift_up, shift_down) Removed declarations of
	end_of_entries.

	* shift.h (end_of_entries): Added field to 
	exported header as it is used in jartool.c.

	* Makefile.in, aclocal.m4, config.h.in, 
	configure: Regenerated.

2007-02-06  Wil Mahan  <wmahan@users.sourceforge.net>

	* jartool.c (list_jar): Fall back on 
	the method used for non-seekable files when 
	reading the central-header-end section does 
	not work, i.e. in archives with a zipfile 
	comment at the end.

	Patch taken from fastjar.sourceforge.net
	patch repository.

2007-02-05  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac (AC_INIT): Changed version 
	to 0.94-pre.

2007-02-05  Dalibor Topic  <robilad@kaffe.org>

	* NEWS: Updated with some of the information
	from the ChangeLog.

2007-02-05  Dalibor Topic  <robilad@kaffe.org>

	* fastjar.texi: -i works now.

2007-02-04  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (build_index): Added comment
	for previous patch. Added check to ensure
	that the META-INF directory is not being
	indexed.

2007-02-04  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (build_index): Replace '\0'
	character with '\n' before adding the 
	index to the jar file to avoid having
	a zero byte at the end of the index file.

2007-02-04  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c: Added 2007 to copyright years,
	and claimed my changes.
	(OPTION_STRING) -i takes an argument.
	(main) Set jarfile to the argument when option 
	-i is parsed. Modified help string when no
	action is given to include -i.

2007-02-04  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (build_index): Initialize 
	a ziplistentry's next_element with NULL
	before passing it to add_list_entry to
	fix a crash. Don't re-assign filename
	of a zip entry with the index name, as 
	that turns directories into files, and 
	breaks the zip files.

2007-02-04  Olivier Jolly <olivier.jolly@pcedev.com>

	* jartool.c: Enable fastjar to update an 
	existing .jar with an META-INF/INDEX.LIST 
	aka -i support. Still, it doesn't process 
	the MANIFEST.MF to index files coming from 
	dependant archives.

2007-02-04  Dalibor Topic  <robilad@kaffe.org>

	* jartool.h (__attribute__): Explicitely
	define it as a macro with one parameter.
	That allows splint to be used for checking 
	the code.

2007-02-03  Dalibor Topic  <robilad@kaffe.org>

	* configure: Regenerated.

	* configure.ac: Updated AC_INIT and 
	AM_INIT_AUTOMAKE to use the modern form.


2007-02-03  Dalibor Topic  <robilad@kaffe.org>

	* compress.c, compress.h, jargrep.c, 
	jartool.c, jartool.h, pushback.c, 
	zipfile.h: Removed Id and Log CVS tags.

2007-02-03  Dalibor Topic  <robilad@kaffe.org>

	* config.h.in, configure: Regenerated.

	* configure.ac: Removed checks for type-widths.
	Added checks for fixed size types.

	* jartool.h: Use fixed size types to define u1, 
	u2 and u4. Include inttypes.h and stdint.h if 
	necessary. Guard the config.h include. Don't
	include sys/types.h.

2007-02-03  Dalibor Topic  <robilad@kaffe.org>

	* configure.ac: Use AC_CHECK_HEADERS_ONCE instead
	of AC_CHECK_HEADERS. Use AC_CHECK_FUNCS_ONCE instead
	of AC_CHECK_FUNCS.

	* configure: Regenerated.

2007-02-03  Dalibor Topic  <robilad@kaffe.org>

	* compile, texinfo.tex: Added new generated files.

	* INSTALL, Makefile.in, aclocal.m4, config.h.in, 
	configure, depcomp, install-sh, missing: Regenerated.

	* acinclude.m4, configure.ac: Autoupdated with 
	autoconf 2.61.

	* autogen.sh: Use autoreconf.

2007-02-03  Dalibor Topic  <robilad@kaffe.org>

	* .cvsignore: Added new file.

2007-02-03  Dalibor Topic  <robilad@kaffe.org>

	* README: Updated e-mail addresses, home pages,
	added section headers, and a history section, and 
	cleaned up.

2007-02-03  Dalibor Topic  <robilad@kaffe.org>

	* jartool.h [__GNUC__]: Only define __attribute__
	if it is not already defined. That fixes the build 
	with tcc.

2007-02-03  Dalibor Topic  <robilad@kaffe.org>

	* jartool.c (list_jar): Added missing casts to fix
	compiler warnings on Debian Sarge.

2006-08-07  Richard Guenther  <rguenther@suse.de>

	* jartool.c (extract_jar): Fix directory traversal fix,
	handle "." path components.

2006-07-12  Richard Guenther  <rguenther@suse.de>

	* jartool.c (extract_jar): Do not allow directory traversal
	to parents of the extraction root.

